Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 Re : Gestion des paquets Debian » [Résolu].Problème dépendance wine » 19-02-2016 21:58:44

Bonsoir à tous!

Comme prévu j'ai fait une nouvelle install...moi j'étais resté sur wheezy comme branche stable ( seulement 7 mois de retard! ). Quand je revoie mon source.liste (1° post) : Normale que le système ne comprenne plus rien !.
Du coup maintenant tout et OK et j'ai wine-staging d'installer.

Merci à toutes les personnes qui ont tenté de m'aider dans ce beau merdier que j'avais créé!

@modérateurs: J'ai résolu le problème mais de là à mettre [ RESOLU ] sur le topic... ??? je fait quoi ?

#2 Re : Gestion des paquets Debian » [Résolu].Problème dépendance wine » 17-02-2016 13:34:05

Ciao phlinux !

en faite

Package: *
Pin: release o=Debian,a=testing,l=Debian
Pin-Priority: 900

Package: *
Pin: release o=Debian,a=testing,l=Debian-Security
Pin-Priority: 900



corespond à:

## Testing (Jessie)
deb http://ftp.fr.debian.org/debian/ jessie main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ jessie main non-free contrib
 



je remplace testing par jessie, stable par wheezi dans les preferences mais toujours rien!

Bon je crois que le plus simple et une réinstalle avec des fichiers source.list et preferences plus propre...

Edit à toto :
Mis les balises en codes conforment aux contenus. Citation est une citation d'un texte. smile

#3 Re : Gestion des paquets Debian » [Résolu].Problème dépendance wine » 16-02-2016 22:07:50

Ciao Mercredi!

Ben moi j'ai bétement suivi le tuto de winehq...et il disent:

Next add the repository to /etc/apt/sources.list or create a *.list under /etc/apt/sources.list.d/ with the following content:


with DISTRO being either wheezy, jessie, stretch or sid



To avoid problems with missing dependencies, Wheezy users should also add the following to /etc/apt/sources.list (if it is not already there):



...

#4 Gestion des paquets Debian » [Résolu].Problème dépendance wine » 16-02-2016 21:46:30

jmarc
Réponses : 19
A CEUX QUI LISENT CE TOPIC POUR LE MEME PROBLEME: LA SOLUTION EST AU POST #12 et vous verrez ma solution et vachement simple!

Bonjour,

Après une réinstallation de jessie j'ai des soucis avec wine: fonctionne pas à cause des librairies 32bit manquante sur mon install 64bit... Je suis donc le tuto:


mais toujours rien!
Je décide donc de repartir sur une réinstallation de wine:

aptitude purge wine
rm -rf .wine



Et là en voulant réinstaller wine (1.6,1.8,1.9) le sisteme répond:

root@R2D2:/home/jean-marc# aptitude install wine
Les NOUVEAUX paquets suivants vont être installés :     
  gcc-4.9-base:i386{a} i965-va-driver:i386{a} libasound2:i386{a} libasound2-plugins:i386{a} libasyncns0:i386{a}
  libattr1:i386{a} libavcodec56:i386{a} libavresample2:i386{a} libavutil54:i386{a} libbsd0:i386{a} libc6:i386{a}
  libc6-i686:i386{a} libcap2:i386{a} libdb5.3:i386{a} libdbus-1-3:i386{a} libdrm-intel1:i386{a} libdrm-nouveau2:i386{a}
  libdrm-radeon1:i386{a} libdrm2:i386{a} libedit2:i386{a} libelf1:i386{a} libexpat1:i386{a} libffi6:i386{a} libflac8:i386{a}
  libfreetype6:i386{a} libgcc1:i386{a} libgcrypt20:i386{a} libgl1-mesa-dri:i386{a} libgl1-mesa-glx:i386{a}
  libglapi-mesa:i386{a} libglib2.0-0:i386{a} libglu1-mesa:i386{a} libgmp10:i386{a} libgnutls-deb0-28:i386{a}
  libgpg-error0:i386{a} libgpm2:i386{a} libgsm1:i386{a} libgstreamer-plugins-base0.10-0:i386{a} libgstreamer0.10-0:i386{a}
  libhogweed2:i386{a} libice6:i386{a} libjack-jackd2-0:i386{a} libjson-c2:i386{a} liblcms2-2:i386{a} libldap-2.4-2:i386{a}
  libllvm3.5:i386{a} liblzma5:i386{a} libmp3lame0:i386{ab} libmpg123-0:i386{a} libncurses5:i386{a} libnettle4:i386{a}
  libogg0:i386{a} libopenal1:i386{a} libopenjpeg5:i386{a} libopus0:i386{a} liborc-0.4-0:i386{a} libp11-kit0:i386{a}
  libpciaccess0:i386{a} libpcre3:i386{a} libpng12-0:i386{a} libpulse0:i386{a} libsamplerate0:i386{a} libsasl2-2:i386{a}
  libsasl2-modules:i386{a} libsasl2-modules-db:i386{a} libschroedinger-1.0-0:i386{a} libselinux1:i386{a} libsm6:i386{a}
  libsndfile1:i386{a} libspeex1:i386{a} libspeexdsp1:i386{a} libssl1.0.0:i386{a} libstdc++6:i386{a} libsystemd0:i386{a}
  libtasn1-6:i386{a} libtheora0:i386{a} libtinfo5:i386{a} libtxc-dxtn-s2tc0:i386{a} libudev1:i386{a} libuuid1:i386{a}
  libva1:i386{a} libvdpau1:i386{a} libvorbis0a:i386{a} libvorbisenc2:i386{a} libvpx1:i386{a} libwine:i386{a} libwrap0:i386{a}
  libx11-6:i386{a} libx11-xcb1:i386{a} libx264-142:i386{a} libxau6:i386{a} libxcb-dri2-0:i386{a} libxcb-dri3-0:i386{a}
  libxcb-glx0:i386{a} libxcb-present0:i386{a} libxcb-sync1:i386{a} libxcb1:i386{a} libxcursor1:i386{a} libxdamage1:i386{a}
  libxdmcp6:i386{a} libxext6:i386{a} libxfixes3:i386{a} libxi6:i386{a} libxml2:i386{a} libxrender1:i386{a}
  libxshmfence1:i386{a} libxtst6:i386{a} libxvidcore4:i386{a} libxxf86vm1:i386{a} va-driver-all:i386{a}
  vdpau-va-driver:i386{a} wine wine32:i386{a} wine64{a} zlib1g:i386{a}
Les paquets suivants seront mis à jour :
  libc6 libgcrypt20
2 paquets mis à jour, 115 nouvellement installés, 0 à enlever et 9 non mis à jour.
Il est nécessaire de télécharger 67,0 Mo/67,1 Mo d'archives. Après dépaquetage, 259 Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
libmp3lame0 : Casse: libmp3lame0:i386 (!= 1:3.99.5-dmo5) mais 3.99.5+repack1-7+deb8u1 doit être installé.
libmp3lame0:i386 : Casse: libmp3lame0 (!= 3.99.5+repack1-7+deb8u1) mais 1:3.99.5-dmo5 est installé.
libc6-dev : Dépend: libc6 (= 2.19-18+deb8u2) mais 2.19-18+deb8u3 doit être installé.
Les actions suivantes permettront de résoudre ces dépendances :

      Supprimer les paquets suivants :                           
1)      libc6-dev                                               

      Conserver les paquets suivants dans leur version actuelle :
2)      libasound2-plugins:i386 [Non installé]                   
3)      libavcodec56:i386 [Non installé]                         
4)      libmp3lame0:i386 [Non installé]                         

      Laisser les dépendances suivantes non satisfaites :       
5)      gcc-4.6 recommande libc6-dev (>= 2.13-5)                 
6)      gcc-4.8 recommande libc6-dev (>= 2.13-5)                 
7)      libgcc-4.8-dev recommande libc6-dev (>= 2.13-5)         
8)      gcc-4.9 recommande libc6-dev (>= 2.13-5)                 
9)      libgcc-4.9-dev recommande libc6-dev (>= 2.13-5)         
10)     gcc recommande libc6-dev | libc-dev                     
11)     wine32:i386 recommande libasound2-plugins:i386           


Accepter cette solution ? [Y/n/q/?] q

         

La merde quoi!

voici mon source list:

## Stable (Wheezy)
deb http://ftp.fr.debian.org/debian/ wheezy main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ wheezy main non-free contrib

## Testing (Jessie)
deb http://ftp.fr.debian.org/debian/ jessie main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ jessie main non-free contrib

## Unstable (Sid)
deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free

## Security
deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

## Multimedia

# stable multimedia
deb http://www.deb-multimedia.org wheezy main non-free
#deb-src http://www.deb-multimedia.org wheezy main non-free

# testing multimedia
deb http://www.deb-multimedia.org testing main non-free
#deb-src http://www.deb-multimedia.org testing main non-free

# sid multimedia
deb http://www.deb-multimedia.org sid main non-free
#deb-src http://www.deb-multimedia.org sid main non-free

## Experimental
deb http://ftp.fr.debian.org/debian/ experimental main

##Virtualbox

deb http://download.virtualbox.org/virtualbox/debian wheezy contrib non-free

## TOR

deb http://deb.torproject.org/torproject.org jessie main


## EPSON

deb http://download.ebz.epson.net/dsc/op/stable/debian/ lsb3.2 main


# WINE

deb https://dl.winehq.org/wine-builds/debian/ jessie main
deb http://ftp.de.debian.org/debian/ oldstable main



et mon preference:

Package: libc6
Pin: release o=Debian, a=stable
Pin-Priority: 1000

Package: libc6
Pin: release o=Debian, a=stable-updates
Pin-Priority: 1000

Package: *
Pin: release o=Debian,a=stable,l=Debian
Pin-Priority: 800

Package: *
Pin: release o=Debian,a=stable,l=Debian-Security
Pin-Priority: 800

Package: *
Pin: release o=Debian,a=testing,l=Debian
Pin-Priority: 900

Package: *
Pin: release o=Debian,a=testing,l=Debian-Security
Pin-Priority: 900

Package: *
Pin: release o=Debian,a=unstable,l=Debian
Pin-Priority: 400

Package: *
Pin: release o=Debian,a=experimental,l=Debian
Pin-Priority: 1

Package: *
Pin: release o=Unofficial Multimedia Packages,a=testing,l=Unofficial Multimedia Packages
Pin-Priority: 300

Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable,l=Unofficial Multimedia Packages
Pin-Priority: 200

Package: *
Pin: release o=Unofficial Multimedia Packages,a=unstable,l=Unofficial Multimedia Packages
Pin-Priority: 100


Package: *
Pin: release o=Oracle Corporation,n=wheezy,l=Oracle Corporation
Pin-Priority: 750


Package: *
Pin: release o=Debian,a=experimental,n=experimental,l=Debian,c=contrib
Pin-Priority: 1

Package: *
Pin: release o=Debian,a=experimental,n=experimental,l=Debian,c=non-free
Pin-Priority: 1

Package: *
Pin: release o=Debian,a=experimental,n=experimental,l=Debian,c=main
Pin-Priority: 1

Package: *
Pin: release o=Debian,a=unstable,n=sid,l=Debian,c=contrib
Pin-Priority: 400

Package: *
Pin: release o=Debian,a=unstable,n=sid,l=Debian,c=non-free

Package: *
Pin: release o=Debian,a=unstable,n=sid,l=Debian,c=main
Pin-Priority: 400

Package: *
Pin: release o=Debian,a=unstable,n=sid,l=Debian,c=main
Pin-Priority: 400

Package: *
Pin: release o=Debian,a=unstable,n=sid,l=Debian,c=main
Pin-Priority: 400

Package: *
Pin: release o=TorProject,a=testing,n=jessie,c=main
Pin-Priority: 900



Comme on le voie je n'ai pas de preferences pour les depots wine...le pb vient de là ?. Si oui je les mets en Pin-Priority 800. Peut-être que quelqu'un a un source list + preferences plus propre / carré (moins de lignes dans preference = moins de problèmes!)

Merci d'avance pour les réponses!

Jean-Marc

Pied de page des forums

Propulsé par FluxBB